<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" 
             id="unidadesConstruccionesNuevasPanelGrid"
             width="100%">

    <div style="overflow: auto; width: 100%;">	
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionConvencionalNuevasTable"
                     widgetVar="unidadConstruccionConvencionalNuevasTableWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionConvencionalNuevasNoCanceladas}">
            <f:facet name="header">Unidades de construcción convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <p:commandButton title="Eliminar" rendered="#{mostrarSeleccion}"
                                 onclick="confirmEliminarUnidadFichaMatrizWV.show()" process="@this"
                                 disabled="#{!unidadConstruccion.pertenecePredioProyectado 
                                             or proyectarConservacion.tramite.rectificacionMatriz}"
                                 icon="ui-icon-trash">
                    <f:setPropertyActionListener value="#{unidadConstruccion}"
                                                 target="#{managedBeanParam.unidadConstruccionSeleccionada}" />
                    <f:setPropertyActionListener value="true" 
                                                 target="#{proyectarConservacion.actualizarAreasFichaMatrizBool}" />
                </p:commandButton>

                <p:commandButton title="Editar unidad de construcción"
                                 icon="ui-icon-pencil"  rendered="#{mostrarSeleccion}"
                                 oncomplete="detalleUnidadConstruccionWV.show()"
                                 disabled="#{!unidadConstruccion.pertenecePredioProyectado 
                                             and !proyectarConservacion.tramite.rectificacionMatriz}"
                                 action="#{proyectarConservacion.initGestionDetalleUnidadConstruccion}"
                                 update=":detalleUnidadConstrForm" ajax="true" process="@this">
                    <f:setPropertyActionListener value="#{unidadConstruccion}"
                                                 target="#{proyectarConservacion.unidadConstruccionSeleccionada}" />
                    <f:setPropertyActionListener value="false"
                                                 target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
                    <f:setPropertyActionListener value="false" 
                                                 target="#{proyectarConservacion.datosConstruccionSoloLectura}" />
                    <f:setPropertyActionListener value="true" 
                                                 target="#{proyectarConservacion.actualizarAreasFichaMatrizBool}" />	
                </p:commandButton>

                <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                height="13" width="13"
                                rendered="#{unidadConstruccion.cancelaInscribe=='C'}"
                                title="Cancelado #{unidadConstruccion.id}" />
                <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13"
                                width="13" rendered="#{unidadConstruccion.cancelaInscribe=='I'}"
                                title="Inscrito #{unidadConstruccion.id}" />
                <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                height="13" width="13"
                                rendered="#{unidadConstruccion.cancelaInscribe=='M'}"
                                title="Asociado/Modificado #{unidadConstruccion.id}" />

            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Piso<br /> ubicación<br />unidad
                </f:facet>
                <h:outputText value="#{unidadConstruccion.pisoUbicacion}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Total<br /> pisos<br />unidad
                </f:facet>
                <h:outputText value="#{unidadConstruccion.totalPisosUnidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Habitaciones</f:facet>
                <h:outputText value="#{unidadConstruccion.totalHabitaciones}" />
            </p:column>

            <p:column>
                <f:facet name="header">Baños</f:facet>
                <h:outputText value="#{unidadConstruccion.totalBanios}" />
            </p:column>

            <p:column>
                <f:facet name="header">Locales</f:facet>
                <h:outputText value="#{unidadConstruccion.totalLocales}" />
            </p:column>

            <p:column>
                <f:facet name="header">Puntos</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}">
                    <f:convertNumber type="number" maxFractionDigits="0"/>
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Área (m2)<br />construida
                </f:facet>
                <h:outputText value="#{unidadConstruccion.areaConstruida}">
                    <f:convertNumber type="number"  />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Valor m2
                </f:facet>
                <h:outputText value="#{unidadConstruccion.valorM2Construccion}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Avalúo<br /> unidad
                </f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Año<br />construcción
                </f:facet>
                <h:outputText value="#{unidadConstruccion.anioConstruccion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipificación</f:facet>
                <h:outputText value="#{unidadConstruccion.tipificacionValor eq 'NA' ? ' ' : unidadConstruccion.tipificacionValor}" />
            </p:column>

            <p:column>
                <f:facet name="header">Detalle</f:facet>
                <p:commandButton title="Detalle" icon="ui-icon-search"
                                 oncomplete="detalleUnidadConstruccionWV.show()"
                                 action="#{proyectarConservacion.initGestionDetalleUnidadConstruccion}"
                                 update=":detalleUnidadConstrForm" ajax="true" process="@this">
                    <f:setPropertyActionListener
                        target="#{proyectarConservacion.unidadConstruccionSeleccionada}"
                        value="#{unidadConstruccion}" />
                    <f:setPropertyActionListener
                        target="#{proyectarConservacion.datosConstruccionSoloLectura}"
                        value="true" />			
                    <f:setPropertyActionListener value="false"
                                                 target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
                </p:commandButton>
            </p:column>

        </p:dataTable>
    </div>

    <p:separator />

    <div style="overflow: auto; width: 100%;">
        <p:dataTable var="unidadConstruccion"
                     id="unidadConstruccionNoConvencionalNuevasTable"
                     widgetVar="unidadConstruccionNoConvencionalNuevasTableWV"
                     emptyMessage="No hay registros disponibles"
                     value="#{managedBeanParam.unidadConstruccionNoConvencionalNuevasNoCanceladas}">
            <f:facet name="header">Unidades de construcción no convencional</f:facet>

            <p:column>
                <f:facet name="header">Acciones</f:facet>
                <p:commandButton title="Eliminar" rendered="#{mostrarSeleccion}"
                                 onclick="confirmEliminarUnidadFichaMatrizWV.show()" process="@this"
                                 disabled="#{!unidadConstruccion.pertenecePredioProyectado or proyectarConservacion.tramite.rectificacionMatriz}"
                                 icon="ui-icon-trash">
                    <f:setPropertyActionListener value="#{unidadConstruccion}"
                                                 target="#{managedBeanParam.unidadConstruccionSeleccionada}" />
                    <f:setPropertyActionListener value="true" 
                                                 target="#{proyectarConservacion.actualizarAreasFichaMatrizBool}" />
                </p:commandButton>
                <p:commandButton title="Editar unidad de construcción"
                                 icon="ui-icon-pencil" rendered="#{mostrarSeleccion}"
                                 oncomplete="detalleUnidadConstruccionWV.show()"
                                 disabled="#{!unidadConstruccion.pertenecePredioProyectado and !proyectarConservacion.tramite.rectificacionMatriz}"
                                 action="#{proyectarConservacion.initGestionDetalleUnidadConstruccion}"
                                 update=":detalleUnidadConstrForm" ajax="true" process="@this">
                    <f:setPropertyActionListener value="#{unidadConstruccion}"
                                                 target="#{proyectarConservacion.unidadConstruccionSeleccionada}" />
                    <f:setPropertyActionListener value="false" 
                                                 target="#{proyectarConservacion.datosConstruccionSoloLectura}" />
                    <f:setPropertyActionListener value="false"
                                                 target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
                    <f:setPropertyActionListener value="true" 
                                                 target="#{proyectarConservacion.actualizarAreasFichaMatrizBool}" />
                </p:commandButton>

                <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                height="13" width="13"
                                rendered="#{unidadConstruccion.cancelaInscribe=='C'}"
                                title="Cancelado #{unidadConstruccion.id}" />
                <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13"
                                width="13" rendered="#{unidadConstruccion.cancelaInscribe=='I'}"
                                title="Inscrito #{unidadConstruccion.id}" />
                <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                height="13" width="13"
                                rendered="#{unidadConstruccion.cancelaInscribe=='M'}"
                                title="Asociado/Modificado #{unidadConstruccion.id}" />
            </p:column>

            <p:column>
                <f:facet name="header">Unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.unidad}" />
            </p:column>

            <p:column>
                <f:facet name="header">Uso unidad</f:facet>
                <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">Descripción<br /> construcción</f:facet>
                <h:outputText value="#{unidadConstruccion.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">Tipo</f:facet>
                <h:outputText value="#{unidadConstruccion.totalPuntaje}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Avalúo<br /> unidad
                </f:facet>
                <h:outputText value="#{unidadConstruccion.avaluo}">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">Detalle</f:facet>
                <p:commandButton title="Detalle" icon="ui-icon-search"
                                 oncomplete="detalleUnidadConstruccionWV.show()"
                                 action="#{proyectarConservacion.initGestionDetalleUnidadConstruccion}"
                                 update=":detalleUnidadConstrForm" ajax="true" process="@this">
                    <f:setPropertyActionListener
                        target="#{proyectarConservacion.unidadConstruccionSeleccionada}"
                        value="#{unidadConstruccion}" />
                    <f:setPropertyActionListener value="true" 
                                                 target="#{proyectarConservacion.datosConstruccionSoloLectura}" />
                </p:commandButton>
            </p:column>
        </p:dataTable>
    </div>
    <p:separator />

    <p:outputPanel layout="block" style="text-align:left">
        <p:commandButton value="Adicionar" process="@this"
                         update=":detalleUnidadConstrForm" icon="ui-icon-plus"
                         oncomplete="detalleUnidadConstruccionWV.show()" 
                         rendered="#{mostrarSeleccion 
                                     and !proyectarConservacion.tramite.rectificacionMatriz 
                                     and !proyectarConservacion.tramite.segundaDesenglobe
                                     and proyectarConservacion.tramite.terceraMasiva}"
                         action="#{managedBeanParam.setupAdicionConstruccion}"
                         title="Adicionar construcción">
            <f:setPropertyActionListener value="true"
                                         target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
            <f:setPropertyActionListener value="false" 
                                         target="#{proyectarConservacion.datosConstruccionSoloLectura}" />
            <f:setPropertyActionListener value="true" 
                                         target="#{proyectarConservacion.actualizarAreasFichaMatrizBool}" />
        </p:commandButton>
    </p:outputPanel>

</h:panelGrid>